improved

Jenkins integration update

4 months ago by Bertold Kolics

The 0.0.23 version of mabl Jenkins integration plugin has been released.

Upgrade Considerations

  • Configuration of the new release is incompatible with prior versions of the plugin. Users with an older version of the plugin will have to manually update jobs with mabl steps.
  • Jenkins 1.x installations are no longer supported, you will need version 2.164.3 or later
  • Java 8 is now the minimum runtime version

Starting in this version, the mabl integration key is now stored as a Secret text Jenkins credential. The scope of the credential must be set to Global.

The integration can now be used in Jenkins pipelines in addition to freestyle jobs using either the declarative or scripted style.